package com.ruoyi.zongzhi.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络安全官对象 tc_extwork_safetyadmin
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcExtworkSafetyadmin extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 单位
     */
    @Excel(name = "单位")
    @ApiModelProperty(value = "单位")
    private String unit;

    /**
     * 第一负责人
     */
    @Excel(name = "第一负责人")
    @ApiModelProperty(value = "第一负责人")
    private String firstPrincipal;

    /**
     * 职务
     */
    @Excel(name = "职务")
    @ApiModelProperty(value = "职务")
    private String duty;

    /**
     * 直接负责人
     */
    @Excel(name = "直接负责人")
    @ApiModelProperty(value = "直接负责人")
    private String directPrincipal;

    /**
     * 职务_1
     */
    @Excel(name = "职务_1")
    @ApiModelProperty(value = "职务_1")
    private String duty1;

    /**
     * 负责科室
     */
    @Excel(name = "负责科室")
    @ApiModelProperty(value = "负责科室")
    private String fuzeKeshi;

    /**
     * 网络安全官
     */
    @Excel(name = "网络安全官")
    @ApiModelProperty(value = "网络安全官")
    private String networkAqg;

    /**
     * 职务_2
     */
    @Excel(name = "职务_2")
    @ApiModelProperty(value = "职务_2")
    private String duty2;

    /**
     * 电话
     */
    @Excel(name = "电话")
    @ApiModelProperty(value = "电话")
    private String tel;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnit() {
        return unit;
    }

    public void setFirstPrincipal(String firstPrincipal) {
        this.firstPrincipal = firstPrincipal;
    }

    public String getFirstPrincipal() {
        return firstPrincipal;
    }

    public void setDuty(String duty) {
        this.duty = duty;
    }

    public String getDuty() {
        return duty;
    }

    public void setDirectPrincipal(String directPrincipal) {
        this.directPrincipal = directPrincipal;
    }

    public String getDirectPrincipal() {
        return directPrincipal;
    }

    public void setDuty1(String duty1) {
        this.duty1 = duty1;
    }

    public String getDuty1() {
        return duty1;
    }

    public void setFuzeKeshi(String fuzeKeshi) {
        this.fuzeKeshi = fuzeKeshi;
    }

    public String getFuzeKeshi() {
        return fuzeKeshi;
    }

    public void setNetworkAqg(String networkAqg) {
        this.networkAqg = networkAqg;
    }

    public String getNetworkAqg() {
        return networkAqg;
    }

    public void setDuty2(String duty2) {
        this.duty2 = duty2;
    }

    public String getDuty2() {
        return duty2;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getTel() {
        return tel;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public Long getUpdateId() {
        return updateId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("areaId", getAreaId())
                .append("unit", getUnit())
                .append("firstPrincipal", getFirstPrincipal())
                .append("duty", getDuty())
                .append("directPrincipal", getDirectPrincipal())
                .append("duty1", getDuty1())
                .append("fuzeKeshi", getFuzeKeshi())
                .append("networkAqg", getNetworkAqg())
                .append("duty2", getDuty2())
                .append("tel", getTel())
                .append("createId", getCreateId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateId", getUpdateId())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
